# les fichiers images et les scripts script.sh, script-final.sh, rotation.py et translation.py doivent être présents dans le répertoire
# et uniquement eux
# adapter le début des scripts rotation.py et translation.py au nom des fichiers images
# adapter la commande de création de l'image noire de ce script

# convertir en noir et blanc
echo "conversion en noir et blanc"
for img in *.JPG ; do echo $img ; convert $img -colorspace GRAY nb-$img ; done

# crée une image noire de taille 2816x2112
convert -background black -size 2816x2112 xc:none noir.jpg
# additionner les images
echo "addition des images"
cp noir.jpg addition.jpg
for img in nb*
  do echo $img
  composite $img addition.jpg -compose plus addition.jpg
done

# relever les coordonnées du rectangle englobant une étoile non-saturée au milieu et dans un coin de l'image
echo "relever les coordonnées du rectangle englobant une étoile non-saturée au centre et dans un coin de l'image"
echo -e '\a'
gimp addition.jpg

# déterminer la position de l'étoile du milieu et du coin pour toutes les images et
# déterminer la rotation à appliquer à chaque images (l'image du milieu de la série servira de référence)
python calcul-rotation.py

# appliquer la rotation
echo "rotation des images"
sh script-rotation.sh

# additionner les images tournées
echo "addition des images tournées"
cp noir.jpg addition2.jpg 
for img in rot* ; do echo $img ; composite $img addition2.jpg -compose plus addition2.jpg; done

# déterminer le rectangle englobant une étoile non-saturée vers le centre de l'image
echo "relever les coordonnées du rectangle englobant une étoile non-saturée au centre de l'image"
echo -e '\a'
gimp addition2.jpg

# déterminer la translation à appliquer à chaque image
python calcul-translation.py

# translater
echo "translation des images"
sh script-translation.sh

# additionner les images translatées
echo "addition des images"
cp noir.jpg addition3.jpg 
for img in trans* ; do echo $img ; composite $img addition3.jpg -compose plus addition3.jpg; done
echo "si l'image est bien faite, lancer script-final.sh"
echo -e '\a'
gimp addition3.jpg
